/*
******************************************************************************
*  Name     : BitmapUtilsDemoContainer.h
*  Date     : 30.7.04
*  Description:
*     Container Control.
*     
*  Copyright: Susi Games, Germany
******************************************************************************
*/

#ifndef BitmapUtilsDemoCONTAINER_H
#define BitmapUtilsDemoCONTAINER_H

// INCLUDES
#include <coecntrl.h>
#include "BitmapUtilsDemoEng.h"
#include "imageloader.h"
#include "FastBitmap.h"

/**
 * class CBitmapUtilsDemoContainer: Container control.
 *
 * @author SusiGames.com
 */
class CBitmapUtilsDemoContainer : public CCoeControl, MCoeControlObserver ,MCoeForegroundObserver

    {
    public: 
        void ConstructL(const TRect& aRect, CImageLoader* aImageLoader);
        ~CBitmapUtilsDemoContainer();

		void StartDrawingL();
		void StopDrawing();
		TBool IsDrawing();
		TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent,TEventCode aType);

    private: 

        /**
         * CountComponentControls: From CoeControl.
         *
         * @return TInt The number of Controls. Is always zero.
         */
        TInt CountComponentControls() const;


        /**
         * Draw: From CoeControl.
         *
         * @param aRect 
         * @return void 
         */
        void Draw(const TRect& aRect) const;
       

        /**
         * HandleControlEventL: To handle events.
         *
         * @param aControl 
         * @param aEventType 
         * @return void 
         */
        void HandleControlEventL(CCoeControl* aControl,TCoeEvent aEventType);
  
		void HandleGainingForeground();
		void HandleLosingForeground();

		// The drawing engine.
   		CBitmapUtilsDemoEng* iEng;

		// the imageloader:
		CImageLoader* iImageLoader;

		// some demo bitmaps:
		CFastBitmap *iBmp1,*iBmp2,*iBmp3;
    };

#endif

// End of File
