/*
******************************************************************************
*  Name     : BitmapUtilsDemoView.h
*  Date     : 30.7.04
*  Description:
*     The view for the application.
*     
*  Copyright: Susi Games, Germany
******************************************************************************
*/

#ifndef BitmapUtilsDemoVIEW3_H
#define BitmapUtilsDemoVIEW3_H

#include <aknview.h>
#include "imageloader.h"


class CBitmapUtilsDemoContainer;

// UID
const TUid KViewId = {1};

/**
 * class CBitmapUtilsDemoView: The view for the application.
 *
 * @author SusiGames.com
 */
class CBitmapUtilsDemoView : public CAknView
    {
    public: 
        void ConstructL(CImageLoader* aImageLoader);
        ~CBitmapUtilsDemoView();

    public: 
        
        /**
         * Id: From CAknView.
         *
         * @return TUid 
         */
        TUid Id() const;


        /**
         * HandleCommandL: Command handling.
         *
         * @param aCommand 
         * @return void 
         */
        void HandleCommandL(TInt aCommand);


        /**
         * HandleClientRectChange: Size change.
         *
         * @return void 
         */
        void HandleClientRectChange();


    private:

        /**
         * DoActivateL: From AknView.
         *
         * @param aPrevViewId 
         * @param aCustomMessageId 
         * @param aCustomMessage 
         * @return void 
         */
        void DoActivateL(const TVwsViewId& aPrevViewId,TUid aCustomMessageId,
            const TDesC8& aCustomMessage);


        /**
         * DoDeactivate: From AknView.
         *
         * @return void 
         */
        void DoDeactivate();


    private: 
        CBitmapUtilsDemoContainer* iContainer;
		CImageLoader* iImageLoader;
    };

#endif

// End of File
